com.buschmais.jqassistant.plugin.tycho.impl.scanner

## Class TychoProjectScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<org.apache.maven.project.MavenProject,com.buschmais.jqassistant.plugin.maven3.api.model.MavenProjectDirectoryDescriptor>
  - - com.buschmais.jqassistant.plugin.maven3.api.scanner.AbstractMavenProjectScannerPlugin
    - - com.buschmais.jqassistant.plugin.tycho.impl.scanner.TychoProjectScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<org.apache.maven.project.MavenProject,com.buschmais.jqassistant.plugin.maven3.api.model.MavenProjectDirectoryDescriptor>

      public class TychoProjectScannerPlugin
      extends com.buschmais.jqassistant.plugin.maven3.api.scanner.AbstractMavenProjectScannerPlugin

  Implementation of a `ScannerPlugin` for tycho projects

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TychoProjectScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(org.apache.maven.project.MavenProject item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`
    `protected org.codehaus.plexus.components.io.resources.PlexusIoFileResourceCollection` | `getResourceFileCollection(File basedir, List<String> includes, List<String> excludes)`
    `com.buschmais.jqassistant.plugin.maven3.api.model.MavenProjectDirectoryDescriptor` | `scan(org.apache.maven.project.MavenProject project, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope, com.buschmais.jqassistant.core.scanner.api.Scanner scanner)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.maven3.api.scanner.AbstractMavenProjectScannerPlugin

      `getDescriptorType, getType, resolveProject`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TychoProjectScannerPlugin

          public TychoProjectScannerPlugin()

  - ### Method Detail

    - #### accepts

          public boolean accepts(org.apache.maven.project.MavenProject item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

    - #### scan

          public com.buschmais.jqassistant.plugin.maven3.api.model.MavenProjectDirectoryDescriptor scan(org.apache.maven.project.MavenProject project,
                                                                                                        String path,
                                                                                                        com.buschmais.jqassistant.core.scanner.api.Scope scope,
                                                                                                        com.buschmais.jqassistant.core.scanner.api.Scanner scanner)
                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### getResourceFileCollection

          protected org.codehaus.plexus.components.io.resources.PlexusIoFileResourceCollection getResourceFileCollection(File basedir,
                                                                                                                         List<String> includes,
                                                                                                                         List<String> excludes)

      Returns:
        a `PlexusIoFileResourceCollection` with the given includes and excludes and the configured default excludes. An empty list of includes leads to an empty collection.

Copyright © 2015 buschmais GbR. All rights reserved.